Subject: Re: bug#21934: 24.5; find-tag: reading TAGS file incorrectly

From: Andreas Matthias <[email-masked]>
Date: Sun, 22 Nov 2015 17:41:55 +0100

Dmitry Gutov wrote:

> On 11/22/2015 05:06 PM, Andreas Matthias wrote:
>
>>> So I think what you're saying is lua-mode should add "." to the syntax-class
>>> "symbol". However:
>>
>> I'm sorry, I'm not familiar with emacs internals like the syntax table.
>
> The above would mean that (thing-at-point 'symbol) will return
> `Rectangle.getPos', and not just `getPos'.
>
> So when you press M-., that's what xref-find-definitions (or find-tag) will be
> searching for.

If you use the table as a "normal" table, you access it like:

   Retangle.getPos()

If you use it for OOP then you would access the function through an
object like:

   myRec.getPos()

In the first case returning `Rectangle.getPos' would be usefull, in the
second case just `getPos'.

I hope I don't get lost in this discussion. It's hard to distinguish
between "complete the tag" and "find the tag"...